Skip to main content
GET
/
models
/
{model_name}
/
schema
/
{variantKey}
Model Schema
curl --request GET \
  --url https://api.example.com/models/{model_name}/schema/{variantKey} \
  --header 'Authorization: Bearer <token>'
{
  "variant": {
    "key": "default",
    "url": "<string>"
  },
  "fields_in": [
    {
      "name": "<string>",
      "ftype": "<string>",
      "parent": "<string>",
      "description": "<string>",
      "allowed": [
        "<unknown>"
      ],
      "default": "<unknown>",
      "examples": [],
      "minimum": 123,
      "exclusiveMinimum": 123,
      "maximum": 123,
      "exclusiveMaximum": 123
    }
  ],
  "schema_in": {},
  "schema_out": {},
  "schema_stream": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

xi-api-key
string | null

Path Parameters

model_name
string
required
variantKey
enum<string>
required
Available options:
default,
openai-completions,
openai-chat-completions,
openai-embeddings,
openai-speech-to-text,
openai-tts,
openai-images,
openai-images-variations,
openai-images-edits,
elevenlabs-tts,
create-voice,
read-voice,
update-voice,
delete-voice,
list-voices,
ai-sdk

Query Parameters

version
string | null

Response

Successful Response

variant
SchemaVariant · object
required
fields_in
ModelFieldInfo · object[]
required
schema_in
Schema In · object
schema_out
Schema Out · object
schema_stream
Schema Stream · object